%define	name	bmp-itouch
%define	version	1.0.0
%define	release	1bi
%define libdir	%(eval "pkg-config --variable=general_plugin_dir bmp")
%define datadir	%(eval "pkg-config --variable=data_dir bmp")

Summary:    	bmp-itouch - iTouch keyboard control plugin for bmp
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Multimedia
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	bmp >= 0.9.7

%description
With this BMP plugin you can take advantage of the multimedia (playback and
volume control) keys on your Logitech iTouch keyboard. When the plugin is
used you can use the keys regardless of the current input focus. The plugin
won't work if some other application (eg. xscreensaver) has grabbed the
keyboard.
	
%prep
%setup -q

%build
./configure
make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
make libdir=$RPM_BUILD_ROOT%{libdir} datadir=$RPM_BUILD_ROOT%{datadir} install

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{libdir}/*
%{datadir}/bmp-itouch.config

%changelog
* Tue Oct 5 2004 Jeremy Tan <jeremytan@users.sourceforge.net>
- update to version 1.0.0

* Tue Aug 30 2004 Jeremy Tan <jeremytan@users.sourceforge.net>
- update to version 0.1.4.2

* Sat Aug 28 2004 Jeremy Tan <jeremytan@users.sourceforge.net>
- bmp-itouch port
- initial relase

* Thu Aug 30 2001 Ville Syrjl <syrjala@sci.fi>
- Minor cleanup.

* Sun Jan 14 2001 Ville Syrjl <syrjala@sci.fi>
- Intial release.
